%define major	1
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		ttfautohint
Version:	1.8.4
Release:	%mkrel 2
Summary:	The ttfautohint utility for TrueType fonts
Group:		Publishing
License:	FTL or GPLv2
Url:		https://www.freetype.org/ttfautohint
Source0:	https://download.savannah.gnu.org/releases/freetype/%{name}-%{version}.tar.gz
BuildRequires:	freetype2-devel
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	qtbase5-common-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Gui)

%description
ttfautohint is a library written in C which takes a TrueType font as the
input, removes its bytecode instructions (if any), and returns a new font
where all glyphs are bytecode hinted using the information given by
FreeType's autohinting module. The idea is to provide the excellent quality
of the autohinter on platforms which don't use FreeType.

%package -n %{libname}
Summary:	The ttfautohint utility library
Group:		System/Libraries

%description -n %{libname}
ttfautohint is a library written in C which takes a TrueType font as the
input, removes its bytecode instructions (if any), and returns a new font
where all glyphs are bytecode hinted using the information given by
FreeType's autohinting module. The idea is to provide the excellent quality
of the autohinter on platforms which don't use FreeType.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%package gui
Summary:	Qt based GUI for the ttfautohint utility for TrueType fonts
Group:		Publishing

%description gui
ttfautohint is a library written in C which takes a TrueType font as the
input, removes its bytecode instructions (if any), and returns a new font
where all glyphs are bytecode hinted using the information given by
FreeType's autohinting module. The idea is to provide the excellent quality
of the autohinter on platforms which don't use FreeType.

%prep
%setup -q

%build
export PATH=$PATH:%{_qt5_bindir}
%configure \
	--disable-rpath \
	--disable-static
%make_build

%install
%make_install

%files
%license COPYING FTL.TXT GPLv2.TXT
%doc AUTHORS README TODO THANKS NEWS
%doc %{_docdir}/ttfautohint/
%{_bindir}/ttfautohint
%{_mandir}/man1//ttfautohint.1*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/ttfautohint*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files gui
%license COPYING FTL.TXT GPLv2.TXT
%doc AUTHORS README TODO THANKS NEWS
%{_bindir}/ttfautohintGUI
%{_mandir}/man1//ttfautohintGUI.1*


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 1.8.4-2.mga9
+ Revision: 1842726
- Mageia 9 Mass Rebuild

* Tue Nov 09 2021 wally <wally> 1.8.4-1.mga9
+ Revision: 1755423
- new version 1.8.4

* Thu Dec 17 2020 umeabot <umeabot> 1.8.3-3.mga8
+ Revision: 1660081
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.8.3-2.mga8
+ Revision: 1525355
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Apr 13 2019 wally <wally> 1.8.3-1.mga7
+ Revision: 1389846
- new version 1.8.3

* Tue Apr 02 2019 umeabot <umeabot> 1.8.2-2.mga7
+ Revision: 1385137
- Qt5 Rebuild

* Sun Dec 02 2018 wally <wally> 1.8.2-1.mga7
+ Revision: 1337555
- new version 1.8.2

* Sun Sep 23 2018 umeabot <umeabot> 1.8.1-2.mga7
+ Revision: 1301467
- Mageia 7 Mass Rebuild

* Sun Mar 11 2018 wally <wally> 1.8.1-1.mga7
+ Revision: 1208171
- new version 1.8.1
- add lib and devel pkgs

* Sat Oct 07 2017 wally <wally> 1.7-1.mga7
+ Revision: 1169964
- new version 1.7

* Fri Jan 13 2017 wally <wally> 1.6-1.mga6
+ Revision: 1081497
- new version 1.6
- build GUI with Qt5

* Wed Feb 17 2016 umeabot <umeabot> 1.3-2.mga6
+ Revision: 963112
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 wally <wally> 1.3-1.mga6
+ Revision: 836244
- new version 1.3

* Wed Oct 15 2014 umeabot <umeabot> 1.1-3.mga5
+ Revision: 739591
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-2.mga5
+ Revision: 689966
- Mageia 5 Mass Rebuild

* Wed Jun 18 2014 wally <wally> 1.1-1.mga5
+ Revision: 637985
- new version 1.1

* Fri Mar 28 2014 wally <wally> 1.00-1.mga5
+ Revision: 609112
- new version 1.00

* Tue Feb 04 2014 wally <wally> 0.97-1.mga5
+ Revision: 581813
- new version 0.97

* Sat Oct 19 2013 umeabot <umeabot> 0.96-2.mga4
+ Revision: 532265
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 wally <wally> 0.96-1.mga4
+ Revision: 467636
- import ttfautohint (based on .spec from diogenese)

